Register or replace your fee payout destination
curl --request PUT \
--url https://api.platform.dakota.xyz/fee-payout-destination \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"usdc_wallet": {
"chain": "eip155:8453",
"address": "0x1234567890123456789012345678901234567890"
}
}
'const options = {
method: 'PUT',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
usdc_wallet: {chain: 'eip155:8453', address: '0x1234567890123456789012345678901234567890'}
})
};
fetch('https://api.platform.dakota.xyz/fee-payout-destination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/fee-payout-destination"
payload = { "usdc_wallet": {
"chain": "eip155:8453",
"address": "0x1234567890123456789012345678901234567890"
} }
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/fee-payout-destination"
payload := strings.NewReader("{\n \"usdc_wallet\": {\n \"chain\": \"eip155:8453\",\n \"address\": \"0x1234567890123456789012345678901234567890\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "usdc_wallet",
"chain": "eip155:8453",
"wallet_address": "0x1234567890123456789012345678901234567890",
"updated_at": "2026-06-30T12:00:00Z"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#validation-error",
"title": "Validation Error",
"status": 400,
"detail": "Request body validation failed - missing required field 'address'",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6",
"errors": [
{
"field": "address",
"message": "Request body validation failed - missing required field 'address'",
"code": "missing_required_field"
}
]
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#validation-error",
"title": "Validation Error",
"status": 422,
"detail": "Validation failed",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6",
"errors": [
{
"field": "usdc_wallet.chain",
"message": "chain is not a supported USDC network"
}
]
}Payouts
Register or replace your fee payout destination
Registers where Dakota pays your accrued developer fees — a USDC wallet
on any supported chain. Exactly one destination exists per organization;
PUT replaces it. Emits fee_payout_destination.updated.
PUT
/
fee-payout-destination
Register or replace your fee payout destination
curl --request PUT \
--url https://api.platform.dakota.xyz/fee-payout-destination \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"usdc_wallet": {
"chain": "eip155:8453",
"address": "0x1234567890123456789012345678901234567890"
}
}
'const options = {
method: 'PUT',
headers: {
'x-idempotency-key': '<x-idempotency-key>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
usdc_wallet: {chain: 'eip155:8453', address: '0x1234567890123456789012345678901234567890'}
})
};
fetch('https://api.platform.dakota.xyz/fee-payout-destination', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.platform.dakota.xyz/fee-payout-destination"
payload = { "usdc_wallet": {
"chain": "eip155:8453",
"address": "0x1234567890123456789012345678901234567890"
} }
headers = {
"x-idempotency-key": "<x-idempotency-key>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.platform.dakota.xyz/fee-payout-destination"
payload := strings.NewReader("{\n \"usdc_wallet\": {\n \"chain\": \"eip155:8453\",\n \"address\": \"0x1234567890123456789012345678901234567890\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-idempotency-key", "<x-idempotency-key>")
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"type": "usdc_wallet",
"chain": "eip155:8453",
"wallet_address": "0x1234567890123456789012345678901234567890",
"updated_at": "2026-06-30T12:00:00Z"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#validation-error",
"title": "Validation Error",
"status": 400,
"detail": "Request body validation failed - missing required field 'address'",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6",
"errors": [
{
"field": "address",
"message": "Request body validation failed - missing required field 'address'",
"code": "missing_required_field"
}
]
}{
"type": "https://docs.dakota.xyz/api-reference/errors#authentication-error",
"title": "Unauthorized",
"status": 401,
"detail": "Unauthorized",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#forbidden",
"title": "Forbidden",
"status": 403,
"detail": "Forbidden",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}{
"type": "https://docs.dakota.xyz/api-reference/errors#validation-error",
"title": "Validation Error",
"status": 422,
"detail": "Validation failed",
"instance": "https://api.platform.dakota.xyz/fee-payout-destination",
"request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6",
"errors": [
{
"field": "usdc_wallet.chain",
"message": "chain is not a supported USDC network"
}
]
}Authorizations
Headers
Unique key to ensure request idempotency. If the same key is used within a certain time window, the original response will be returned instead of executing the request again.
Body
application/json
A usdc_wallet destination (developer-fee payouts are crypto-only).
Show child attributes
Show child attributes
Response
Destination registered.
Was this page helpful?
⌘I

